package com.ruoyi.project.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * project_task
 * @author
 */
public class ProjectTask implements Serializable {
    /**
     * 项目编号
     */
    private Long id;

    /**
     * 负责人
     */
    private Long aid;

    /**
     * 项目名称
     */
    private String name;

    /**
     * 项目状态
     */
    private Integer projectStatus;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 负责人名称
     */
    private String adminName;

    /**
     * 成员名称
     */
    private String staffName;

    /**
     * 项目编号
     */
    private String projectNumber;

    /**
     * 项目年份
     */
    @JsonFormat(pattern = "yyyy")
    private Object projectYear;

    /**
     * 创建年份
     */
    @JsonFormat(pattern = "yyyy")
    private Object createYear;

    /**
     * 0=非跨年，1=跨年
     */
    private Integer crossYear;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAid() {
        return aid;
    }

    public void setAid(Long aid) {
        this.aid = aid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getProjectStatus() {
        return projectStatus;
    }

    public void setProjectStatus(Integer projectStatus) {
        this.projectStatus = projectStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAdminName() {
        return adminName;
    }

    public void setAdminName(String adminName) {
        this.adminName = adminName;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getProjectNumber() {
        return projectNumber;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public Object getProjectYear() {
        return projectYear;
    }

    public void setProjectYear(Object projectYear) {
        this.projectYear = projectYear;
    }

    public Object getCreateYear() {
        return createYear;
    }

    public void setCreateYear(Object createYear) {
        this.createYear = createYear;
    }

    public Integer getCrossYear() {
        return crossYear;
    }

    public void setCrossYear(Integer crossYear) {
        this.crossYear = crossYear;
    }
}
